PGASetMaxGAIterValue(8)

NAME
PGASetMaxGAIterValue - specify the maximum number of iterations for the stopping rule PGA_STOP_MAXITER (which, by itself, is the default stopping rule and is always in effect).

DESCRIPTION
The default value is 1000 iterations.

INPUT PARAMETERS
ctx - context variable
maxiter
    - the maximum number of GA iterations to run before stopping

OUTPUT PARAMETERS
none

SYNOPSIS
#include "pgapack.h"
void  PGASetMaxGAIterValue(ctx, maxiter)
PGAContext *ctx
int maxiter

LOCATION
stop.c

EXAMPLE
Example:
PGAContext *ctx;
:
PGASetMaxGAIterValue(ctx,5000);